Bug 1420749 - Incorrect ordering of boot menu entries generated by grubby
Summary: Incorrect ordering of boot menu entries generated by grubby
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: grubby
Version: 7.2
Hardware: Unspecified
OS: Unspecified
urgent
high
Target Milestone: rc
: ---
Assignee: rmarshall
QA Contact: Release Test Team
URL:
Whiteboard:
Depends On: 1285601
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-09 13:01 UTC by Jaroslav Reznik
Modified: 2020-07-16 09:12 UTC (History)
16 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1285601
Environment:
Last Closed: 2017-04-12 12:37:13 UTC
Target Upstream Version:


Attachments (Terms of Use)
/etc/zipl.conf before installing new kernel (2.09 KB, text/plain)
2017-03-09 12:14 UTC, Jan Stodola
no flags Details
/etc/zipl.conf after installing new kernel (3.15 KB, text/plain)
2017-03-09 12:14 UTC, Jan Stodola
no flags Details
/var/log/grubby (3.21 KB, text/plain)
2017-03-09 12:14 UTC, Jan Stodola
no flags Details
/var/log/grubby_prune_debug (187 bytes, text/plain)
2017-03-09 12:15 UTC, Jan Stodola
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2017:0921 0 normal SHIPPED_LIVE grubby bug fix update 2017-04-12 16:27:23 UTC

Description Jaroslav Reznik 2017-02-09 13:01:32 UTC
This bug has been copied from bug #1285601 and has been proposed
to be backported to 7.3 z-stream (EUS).

Comment 8 Jan Stodola 2017-03-09 12:14:01 UTC
Created attachment 1261521 [details]
/etc/zipl.conf before installing new kernel

Comment 9 Jan Stodola 2017-03-09 12:14:32 UTC
Created attachment 1261522 [details]
/etc/zipl.conf after installing new kernel

Comment 10 Jan Stodola 2017-03-09 12:14:57 UTC
Created attachment 1261523 [details]
/var/log/grubby

Comment 11 Jan Stodola 2017-03-09 12:15:19 UTC
Created attachment 1261524 [details]
/var/log/grubby_prune_debug

Comment 15 Jan Stodola 2017-03-21 15:08:52 UTC
Retested with grubby-8.28-21.el7_3 and this bug is fixed. The default boot entry "without debugging" doesn't contain any debug boot parameters and it's above the entry "with debugging".
Tested on x86_64, ppc64, ppc64le and s390x.

Moving to VERIFIED.

Comment 17 errata-xmlrpc 2017-04-12 12:37:13 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2017:0921


Note You need to log in before you can comment on or make changes to this bug.